Packages - Bug #1786

libreoffice-still freezes
2018-05-05 08:30 AM - nona

Status: fixed % Done: 100%
Priority: bug

Assignee:

Category:

Description

¢ Way to reproduce
$ pacman -Syu libreoffice-still libreoffice-still-en-gb
$ libreoffice
Open a sxw document (happened with others, but | don't want to try, because it has frozen my whole system in the past, and |
want to finish this bug report).

¢ Present behaviour
The window freezes; no content is shown besides the title bar. The system lags, and one core is used to 100%. | need to issue
sigkill {31,30,15,9,4} and whatever possible combination to kill it.

¢ Desired behaviour
Being able to see and edit the document (I cannot share it, due to copyright--not mine--and privacy issues).

e Additional information
I looked around on the web, and it seems that LibreOffice and Arch have had a long relationship on hang-ups. | can open the
document with Abiword. | suspect that it is related to GTK, but | cannot make any assumptions, 'cause | know sh*t about it. Let
me know if and how | can provide more useful information.

P.S. I like the new interface to report bugs :)

History

#1 - 2018-05-05 08:35 AM - nona

$ uname -r
4.14.36-gnu-1-lts

$ libreoffice --version
LibreOffice 5.4.6.2 40mO0(Build:2)

$ gtk-launch --version
3.22.30

#2 - 2018-07-18 04:59 AM - brettgilio

Despite this being a few months old, what is the status of this issue for you now? Just so | can get the latest information.

#3 - 2018-07-18 05:17 AM - isacdaavid
- Status changed from open to info needed
brettgilio wrote:
Despite this being a few months old, what is the status of this issue for you now? Just so | can get the latest information.

would you like to test it out in your machine? i'm unable to reproduce it using libreoffice-still 5.4.7-2.1 on i686. not so long ago the presence of
java-runtime would make libreoffice crash, but even that seems to have been fixed now.

#4 - 2018-07-18 09:54 AM - nona
isacdaavid wrote:

brettgilio wrote:

Despite this being a few months old, what is the status of this issue for you now? Just so | can get the latest information.
would you like to test it out in your machine? i'm unable to reproduce it using libreoffice-still 5.4.7-2.1 on i686. not so long ago the presence of
java-runtime would make libreoffice crash, but even that seems to have been fixed now.

I would mark it as solved, because

1. 1 don't have the original file anymore (it was never mine)

2. | created an sxw in Abiword, and could open it in libreoffice-fresh® without a problem.
3. If someone faces the same issue in the future, the issue can be re-opened.

[1] the problem that | described happened in both -fresh and -still, and | was reporting about -still, because it is supposed to be more stable

#5 - 2018-07-18 05:11 PM - isacdaavid
- % Done changed from 0 to 100

- Status changed from info needed to not-a-bug

#6 - 2018-07-18 05:12 PM - isacdaavid

- Status changed from not-a-bug to fixed
